Skip to content
Developer

InventoryReport

Accounting5 EndpointsBilling / InventoryReport

Returns a list of InventoryReport objects.

GET/api/product/inventory/reports

When import_legacy=true, imports all reports and items from the legacy ECS database.

Query parameters

idstring
namestring
descriptionstring
completedboolean
createdstring
updatedstring
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of InventoryReport objectsarray<InventoryReport>

Show fields (5)
  • idinteger

    Primary key of the inventory report. Internal ID.

  • completedboolean

    The inventory is completed.

  • namestring

    Name of the entity.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/product/inventory/reports \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "name": "Beispiel",
    "completed": true,
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00"
  }
]

Creates a single InventoryReport

POST/api/product/inventory/reports

Request body application/json

  • dataInventoryReport2

Responses

200Creates a single InventoryReportInventoryReport

Show fields (5)
  • idinteger

    Primary key of the inventory report. Internal ID.

  • completedboolean

    The inventory is completed.

  • namestring

    Name of the entity.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/product/inventory/reports \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '{}'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "completed": true,
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00"
}

Returns a single InventoryReport with the given id

GET/api/product/inventory/reports/{identifier}

Path parameters

identifierrequiredstring

Responses

200Returns a single InventoryReportInventoryReport

Show fields (5)
  • idinteger

    Primary key of the inventory report. Internal ID.

  • completedboolean

    The inventory is completed.

  • namestring

    Name of the entity.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/product/inventory/reports/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "completed": true,
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00"
}

Updates a single InventoryReport.

PUT/api/product/inventory/reports/{identifier}

When completed is set to true, triggers write-back to legacy ECS database if configured.

Path parameters

identifierrequiredstring

Request body application/json

  • dataInventoryReport2

Responses

200Updates a single InventoryReportInventoryReport

Show fields (5)
  • idinteger

    Primary key of the inventory report. Internal ID.

  • completedboolean

    The inventory is completed.

  • namestring

    Name of the entity.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/product/inventory/reports/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '{}'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "completed": true,
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00"
}

Updates a single InventoryReport.

PATCH/api/product/inventory/reports/{identifier}

When completed is set to true, triggers write-back to legacy ECS database if configured.

Path parameters

identifierrequiredstring

Request body application/json

  • dataInventoryReport2

Responses

200Updates a single InventoryReportInventoryReport

Show fields (5)
  • idinteger

    Primary key of the inventory report. Internal ID.

  • completedboolean

    The inventory is completed.

  • namestring

    Name of the entity.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/product/inventory/reports/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '{}'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "completed": true,
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00"
}